Python: module skeinforge_application.skeinforge_plugins.craft_plugins.cool

skeinforge_application.skeinforge_plugins.craft_plugins.cool ($Date: 2008/21/04 $) | index /home/enrique/Desktop/backup/babbleold/script/reprap/fabmetheus/skeinforge_application/skeinforge_plugins/craft_plugins/cool.py

Previous / Next / Contents

`
Cool is a craft tool to cool the shape.
Cool works well with a stepper extruder, it does not work well with a DC motor extruder.
If enabled, before each layer that takes less then "Minimum Layer Time" to print the tool head will orbit around the printed area for 'Minimum Layer Time' minus 'the time it takes to print the layer' before it starts printing the layer. This is great way to let layers with smaller area cool before you start printing on top of them (so you do not overheat the area).
The cool manual page is at:
http://fabmetheus.crsndoo.com/wiki/index.php/Skeinforge_Cool
Allan Ecker aka The Masked Retriever's has written the "Skeinforge Quicktip: Cool" at:
http://blog.thingiverse.com/2009/07/28/skeinforge-quicktip-cool/
Operation
Settings
Bridge Cool
Cool Type
Orbit
Slow Down
Maximum Cool
Minimum Layer Time
Minimum Orbital Radius
Name of Alteration Files
Name of Cool End File
Name of Cool Start File
Orbital Outset
Turn Fan On at Beginning
Turn Fan Off at Ending
Examples
`

## Operation

The default 'Activate Cool' checkbox is on. When it is on, the functions described below will work, when it is off, the functions will not be called.

## Settings

### Bridge Cool

Default is one degree Celcius.
If the layer is a bridge layer, then cool will lower the temperature by 'Bridge Cool' degrees Celcius.

### Cool Type

Default is 'Slow Down'.

#### Orbit

When selected, cool will add orbits with the extruder off to give the layer time to cool, so that the next layer is not extruded on a molten base. The orbits will be around the largest island on that layer. Orbit should only be chosen if you can not upgrade to a stepper extruder.

#### Slow Down

When selected, cool will slow down the extruder so that it will take the minimum layer time to extrude the layer. DC motors do not operate properly at slow flow rates, so if you have a DC motor extruder, you should upgrade to a stepper extruder, but if you can't do that, you can try using the 'Orbit' option.

### Maximum Cool

Default is 2 degrees Celcius.
If it takes less time to extrude the layer than the minimum layer time, then cool will lower the temperature by the 'Maximum Cool' setting times the layer time over the minimum layer time.

### Minimum Layer Time

Default is 60 seconds.
Defines the minimum amount of time the extruder will spend on a layer, this is an important setting.

### Minimum Orbital Radius

Default is 10 millimeters.
When the orbit cool type is selected, if the area of the largest island is as large as the square of the "Minimum Orbital Radius" then the orbits will be just within the island. If the island is smaller, then the orbits will be in a square of the "Minimum Orbital Radius" around the center of the island. This is so that the hot extruder does not stay too close to small islands.

### Name of Alteration Files

Cool looks for alteration files in the alterations folder in the .skeinforge folder in the home directory. Cool does not care if the text file names are capitalized, but some file systems do not handle file name cases properly, so to be on the safe side you should give them lower case names. If it doesn't find the file it then looks in the alterations folder in the skeinforge_plugins folder. The cool start and end text idea is from:
http://makerhahn.blogspot.com/2008/10/yay-minimug.html

#### Name of Cool End File

Default is cool_end.gcode.
If there is a file with the name of the "Name of Cool End File" setting, it will be added to the end of the orbits.

#### Name of Cool Start File

Default is cool_start.gcode.
If there is a file with the name of the "Name of Cool Start File" setting, it will be added to the start of the orbits.

### Orbital Outset

Default is 2 millimeters.
When the orbit cool type is selected, the orbits will be outset around the largest island by 'Orbital Outset' millimeters. If 'Orbital Outset' is negative, the orbits will be inset instead.

### Turn Fan On at Beginning

Default is on.
When selected, cool will turn the fan on at the beginning of the fabrication by adding the M106 command.

### Turn Fan Off at Ending

Default is on.
When selected, cool will turn the fan off at the ending of the fabrication by adding the M107 command.

## Examples

The following examples cool the file Screw Holder Bottom.stl. The examples are run in a terminal in the folder which contains Screw Holder Bottom.stl and cool.py.
> python cool.py
This brings up the cool dialog.
> python cool.py Screw Holder Bottom.stl
The cool tool is parsing the file:
Screw Holder Bottom.stl
..
The cool tool has created the file:
.. Screw Holder Bottom_cool.gcode

Previous / Next / Contents

Modules

``

__init__ fabmetheus_utilities.archive fabmetheus_utilities.euclidean | fabmetheus_utilities.fabmetheus_tools.fabmetheus_interpret fabmetheus_utilities.gcodec fabmetheus_utilities.intercircle | os fabmetheus_utilities.settings skeinforge_application.skeinforge_utilities.skeinforge_craft | skeinforge_application.skeinforge_utilities.skeinforge_polyfile skeinforge_application.skeinforge_utilities.skeinforge_profile sys

Classes

``

CoolRepository
CoolSkein

class CoolRepository
`` | `A class to handle the cool settings. `

Methods defined here:

__init__(self)
  `Set the default settings, execute title & settings fileName.`

execute(self)
  `Cool button has been clicked.`

class CoolSkein
`` | `A class to cool a skein of extrusions. `

Methods defined here:

__init__(self)

addCoolOrbits(self, remainingOrbitTime)
  `Add the minimum radius cool orbits.`

addCoolTemperature(self, remainingOrbitTime)
  `Parse a gcode line and add it to the cool skein.`

addFlowRate(self, flowRate)
  `Add a multipled line of flow rate if different.`

addGcodeFromFeedRateMovementZ(self, feedRateMinute, point, z)
  `Add a movement to the output.`

addOrbitsIfNecessary(self, remainingOrbitTime)
  `Parse a gcode line and add it to the cool skein.`

addTemperature(self, temperature)
  `Add a line of temperature.`

getCoolMove(self, line, location, splitLine)
  `Get cool line according to time spent on layer.`

getCraftedGcode(self, gcodeText, repository)
  `Parse gcode text and store the cool gcode.`

getLayerTime(self)
  `Get the time the extruder spends on the layer.`

getLayerTimeActive(self)
  `Get the time the extruder spends on the layer while active.`

parseInitialization(self)
  `Parse gcode initialization and store the parameters.`

parseLine(self, line)
  `Parse a gcode line and add it to the cool skein.`

setMultiplier(self, remainingOrbitTime)
  `Set the feed and flow rate multiplier.`

Functions

``

getCraftedText(fileName, text, repository=None)
  `Cool a gcode linear move text.`

getCraftedTextFromText(gcodeText, repository=None)
  `Cool a gcode linear move text.`

getNewRepository()
  `Get new repository.`

main()
  `Display the cool dialog.`

writeOutput(fileName, shouldAnalyze=True)
  `Cool a gcode linear move file. Chain cool the gcode if it is not already cooled.`

Data
`` |  | __author__ = 'Enrique Perez (perez_enrique@yahoo.com)' __date__ = '$Date: 2008/21/04 $' __license__ = 'GNU Affero General Public License http://www.gnu.org/licenses/agpl.html' absolute_import = _Feature((2, 5, 0, 'alpha', 1), (2, 7, 0, 'alpha', 0), 16384)

Author
`` |  | Enrique Perez (perez_enrique@yahoo.com)